using System;
using System.Collections.Generic;
using System.Text;

namespace XnaDevRu.Bullet
{
	public class BroadphasePair
	{
		private BroadphaseProxy _proxyA;
		private BroadphaseProxy _proxyB;

		private CollisionAlgorithm _algorithm;

        public BroadphasePair()
        {
        }

		public BroadphasePair(BroadphasePair other)
		{
			_proxyA = other._proxyA;
			_proxyB = other._proxyB;

			_algorithm = other._algorithm;
		}

		public BroadphasePair(BroadphaseProxy proxyA, BroadphaseProxy proxyB)
		{
			_algorithm = null;

			_proxyA = proxyA;
			_proxyB = proxyB;
		}

		public BroadphaseProxy ProxyA { get { return _proxyA; } set { _proxyA = value; } }
		public BroadphaseProxy ProxyB { get { return _proxyB; } set { _proxyB = value; } }

		public CollisionAlgorithm CollisionAlgorithm { get { return _algorithm; } set { _algorithm = value; } }
	}
}
