using System;
using System.Collections.Generic;
using System.Text;

namespace XnaDevRu.Bullet
{
	public struct CollisionAlgorithmConstructionInfo
	{
		private IDispatcher _dispatcher;
		private PersistentManifold _manifold;

		public CollisionAlgorithmConstructionInfo(IDispatcher dispatcher)
		{
			_dispatcher = dispatcher;
			_manifold = null;
		}

		public IDispatcher Dispatcher { get { return _dispatcher; } set { _dispatcher = value; } }
		public PersistentManifold Manifold { get { return _manifold; } set { _manifold = value; } }
	}
}
