using System;
using System.Collections.Generic;
using System.Text;

namespace XnaDevRu.Bullet
{
    public static class BulletDebug
    {
        public static void Assert(Boolean condition) {
            if (!condition) {
                Throw("No info available");
            }
        }

        public static void Assert(Boolean condition, String message) {
            if (!condition) {
                Throw(message);
            }
        }

        private static void Throw(String message) {
            String msg = String.Format("Assertion Error: {0}", message);

            throw new BulletException(msg);
        }
    }
}
