using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

namespace XnaDevRu.Bullet
{
	public abstract class ConcaveShape : CollisionShape
	{
		private float _collisionMargin;

		public ConcaveShape() { }

		public float CollisionMargin
		{
			get { return _collisionMargin; }
			set { _collisionMargin = value; }
		}

		public override float Margin
		{
			get
			{
				return _collisionMargin;
			}
			set
			{
				_collisionMargin = value;
			}
		}

		public abstract void ProcessAllTriangles(ITriangleCallback callback, Vector3 aabbMin, Vector3 aabbMax);
	}
}