using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace XnaDevRu.Bullet
{
	public class BulletException : Exception
	{
		public BulletException()
			: base("Bullet Physics Library has thrown an exception.")
		{
		}

		public BulletException(string message)
			: base(message)
		{
		}

		public BulletException(string message, Exception innerException)
			: base(message, innerException)
		{
		}

#if WINDOWS
		public BulletException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
#endif
	}
}
