using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

namespace XnaDevRu.Bullet
{
	public abstract class MotionState
	{
		/*public abstract Vector3 getWorldPosition();
		public abstract Vector3 getWorldScaling();
		public abstract Quaternion getWorldOrientation();

		public abstract void setWorldPosition(Vector3 worldPos);
		public abstract void setWorldOrientation(Quaternion orn);

		public abstract void calculateWorldTransformations();*/

		public abstract void GetWorldTransform(out Matrix worldTransform);
		//Bullet only calls the update of worldtransform for active objects
		public abstract void SetWorldTransform(Matrix worldTransform);	
		//future: when Bullet makes attempt to deactivate object, you can intercept this callback (return false to disable deactivation for this object this frame)
		public virtual bool DeactivationCallback(object userData) 
		{
			return true;
		}
	}
}
