using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Media;
using System.Windows.Media.Media3D;

namespace BulletDemo1
{
	public class Primitive
	{
		private string resourceName;
		private Brush brush;
		private ModelVisual3D visual;

		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="resourceName">Resource name</param>
		/// <param name="brush">Brush</param>
		public Primitive( string resourceName, Brush brush )
		{
			this.resourceName = resourceName;
			this.brush = brush;
		}

		public string ResourceName { get { return resourceName; } }
		public Brush Brush { get { return brush; } }
		public ModelVisual3D Visual { get { return visual; } set { visual = value; } }
	}
}
