using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

namespace XnaDevRu.Bullet
{
	public interface IBroadphase
	{
		BroadphaseProxy CreateProxy(Vector3 min, Vector3 max, BroadphaseNativeTypes shapeType, object userData, BroadphaseProxy.CollisionFilterGroups collisionFilterGroup, BroadphaseProxy.CollisionFilterGroups collisionFilterMask);
		void DestroyProxy(BroadphaseProxy proxy);
		void SetAabb(BroadphaseProxy proxy, Vector3 aabbMin, Vector3 aabbMax);
		void CleanProxyFromPairs(BroadphaseProxy proxy);
	}
}
